Bug 133595 - FILESAVE XLSX Excel gives invalid content error when opening file with shape
Summary: FILESAVE XLSX Excel gives invalid content error when opening file with shape
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
7.0.0.0.alpha1+
Hardware: All All
: medium normal
Assignee: Serge Krot (CIB)
URL:
Whiteboard: target:7.1.0 target:7.0.0.1 target:6.4.5
Keywords: bibisected, bisected, filter:xlsx, regression
Depends on:
Blocks: OOXML-Shapes XLSX-Corrupted
  Show dependency treegraph
 
Reported: 2020-06-02 09:02 UTC by NISZ LibreOffice Team
Modified: 2020-06-09 14:35 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
The example file saved with Calc (6.07 KB, application/vnd.openxmlformats-officedocument.spreadsheetml.sheet)
2020-06-02 09:02 UTC, NISZ LibreOffice Team
Details
Screenshot of the exported document side by side in Excel and Calc (84.52 KB, image/png)
2020-06-02 09:04 UTC, NISZ LibreOffice Team
Details

Note You need to log in before you can comment on or make changes to this bug.
Description NISZ LibreOffice Team 2020-06-02 09:02:18 UTC
Created attachment 161510 [details]
The example file saved with Calc

Attachment #127853 [details] from bug #103050 (but also seen with attachment #87630 [details] from bug #70293) could be saved to XLSX and opened fine in Excel, but now it gives Invalid content error on opening the LO-saved file.

Steps to reproduce:
    1. Open attachment #127853 [details] and save as XLSX
    2. Open the file in Excel

Actual results:
Invalid contents found error.

Expected results:
Open in Excel correctly.

LibreOffice details:
Version: 7.0.0.0.beta1+ (x64)
Build ID: 2891e91a513520d68ea2b8c59c14335861a15253
CPU threads: 4; OS: Windows 6.3 Build 9600; UI render: Skia/Raster; VCL: win
Locale: hu-HU (hu_HU); UI: en-US
Calc: CL

Bibisected using bibisect-win64-6.5 to:
URL: https://cgit.freedesktop.org/libreoffice/core/commit/?id=fd238380ae7820f12ac1f7c52d0f7180a93f3ba3
author	Serge Krot <Serge.Krot@cib.de>	2020-05-13 22:52:52 +0200
committer	Thorsten Behrens <Thorsten.Behrens@CIB.de>	2020-05-26 00:20:54 +0200
tdf#106181 XLSX export: output form controls

Adding CC to: Serge Krot
Comment 1 NISZ LibreOffice Team 2020-06-02 09:04:41 UTC
Created attachment 161511 [details]
Screenshot of the exported document side by side in Excel and Calc
Comment 2 Commit Notification 2020-06-06 00:26:31 UTC
Serge Krot committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/2081ab036bfd203d4d3be07064ef783baae97c3b

tdf#133595 FILESAVE XLSX: invalid content when opening file with shape

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Xisco Faulí 2020-06-08 10:35:29 UTC
Verified in

Version: 7.1.0.0.alpha0+
Build ID: 8bbd8324282e7890de29ede5912d24c6e1c7ce7f
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: gtk3
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: 

@Serge, thanks for fixing this issue!!
Comment 4 Commit Notification 2020-06-08 10:37:37 UTC
Serge Krot committed a patch related to this issue.
It has been pushed to "libreoffice-7-0":

https://git.libreoffice.org/core/commit/23506180a82bae5c77bd1df4bef73dd4f687dae2

tdf#133595 FILESAVE XLSX: invalid content when opening file with shape

It will be available in 7.0.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2020-06-08 12:39:54 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/1a9cb68b30d337c177d55b2440b8c32dd923457e

tdf#133595: sc: Add unittest

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2020-06-09 14:35:14 UTC
Serge Krot committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/ed0225b36ca31bb40a20de92cd1f988f94143ad1

tdf#133595 FILESAVE XLSX: invalid content when opening file with shape

It will be available in 6.4.5.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.